import { ComponentID } from '@teambit/component';
declare type FileResult = {
    getHost: {
        id: string;
        get: {
            id: {
                name: string;
                version: string;
                scope: string;
            };
            getFile?: string;
        };
    };
};
export declare function useFileContent(componentId: ComponentID, filePath?: string): {
    client: import("@apollo/client").ApolloClient<any>;
    previousData?: FileResult;
    error?: import("@apollo/client").ApolloError;
    loading: boolean;
    networkStatus: import("@apollo/client").NetworkStatus;
    called: true;
    startPolling: (pollInterval: number) => void;
    stopPolling: () => void;
    subscribeToMore: <TSubscriptionData = FileResult, TSubscriptionVariables = Record<string, any>>(options: import("@apollo/client").SubscribeToMoreOptions<FileResult, TSubscriptionVariables, TSubscriptionData>) => () => void;
    updateQuery: <TVars = Record<string, any>>(mapFn: (previousQueryResult: FileResult, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, FileResult>, "variables">) => FileResult) => void;
    refetch: (variables?: Partial<Record<string, any>>) => Promise<import("@apollo/client").ApolloQueryResult<FileResult>>;
    variables: Record<string, any>;
    fetchMore: (<K extends string>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<Record<string, any>, K, FileResult> & import("@apollo/client").FetchMoreOptions<FileResult, Record<string, any>>) => Promise<import("@apollo/client").ApolloQueryResult<FileResult>>) & (<TData2, TVariables2, K_1 extends keyof TVariables2>(fetchMoreOptions: {
        query?: import("@apollo/client").DocumentNode | import("@graphql-typed-document-node/core").TypedDocumentNode<FileResult, Record<string, any>>;
    } & import("@apollo/client").FetchMoreQueryOptions<TVariables2, K_1, FileResult> & import("@apollo/client").FetchMoreOptions<TData2, TVariables2>) => Promise<import("@apollo/client").ApolloQueryResult<TData2>>);
    fileContent: string;
};
export {};
